Gray Whale, by basilosaur.us
===

Gray Whale is a highly configurable, elegant theme for small businesses, personal websites, and project pages. It is robustly featured, offering a full-screen front-page splash with space for you to tell readers who you are and what you do in style. It includes many options available through the WordPress Customizer to change the theme's colors, add contact and social media information, and modify the terms under which your site is licensed. And it offers several page templates, including a portfolio view that allows you to transform any page with children into a showcase for your products, projects, case studies, and more.

Like its companion theme for bloggers -- Beluga -- Gray Whale is all about crisp styling and readable text. And based on Underscores (_s) by Automattic, it's all about clean coding and standards compliance. But in terms of features, it goes beyond either. And when you use it, look for:

 * The separately configurable front-page and page-header images
 * The extended site description feature
 * The configurable social media buttons
 * The six separate widget areas
 * The flexible page footer
 * The full-width and sidebar page templates
 * The portfolio view (add children to any page and check out how it works!)
 * The built-in integration with popular plugins Column-Matic and Contact Form 7
 * And the elegant typography and layout that's eminently readable no matter the size of your screen

== Notes and Instructions ==

 * To create a static front page, go to Settings -> Reading in the WordPress panel. There, tick the box marked "a static page," and follow the instructions given.

 * To make the mobile menu work, go to Widgets, and add a custom menu widget to the Mobile Menu widget area. It is set up this way because one might, for example, wish to have a mobile menu with different items from the main menu. Or one might wish to have additional widgets in that area. This works best If you leave the title fields of the widgets blank.

 * Integration with Contact Form 7 is automatic. But to use integration with Column-Matic, use the [column] shortcode tag; and in the class field, include "column" plus "c50," "c33," or "c25." So for example: [column class="column c33"][/column]. You may also include the class "boxed" for a column that is offset with a border and slightly darker background than the surrounding content.

 * To use the porfolio page template, create a new page, and then add whichever other pages you want as its children. Give your new page the portfolio view; add featured images for your child pages; and that's all you need to do. Any text in your page will appear at the top, along with cards featuring each child page positioned below. It's attractive, and nothing could be simpler to use.

 * Finally, remember that the front-page splash screen and the custom header image for the theme are separate. The splash screen, which should be at least 1920x1080, can be modified from the "Custom Header Options" tab in the WordPress customizer. Whereas the header image must be changed separately from the Header Image tab. Full HD images can be rather large; therefore, it only makes sense to load them where necessary.

== Credit Where Credit is Due ==

Gray whale owes a great deal to Underscores (_s) by Automattic. But for inspiration, it owes a great deal to a great many other themes, not least of which being Edin. This theme also owes a great deal to David Mark, photographer, without whose fantastic CC0 photo of Glacier Bay, Alaska, this theme wouldn't be near as pretty as it is.

== Last But Not Least ==

This theme is built to make it easy to modify.  Adding a child theme will give you great flexibility in terms of overriding Gray Whale's CSS, adding code for displaying just about any post format in just about any configuration you like, and overriding just about any of the theme's functions.

So go to town!
